//
//  ViewController.m
//  ObjC-Objects
//
//  Created by Gabe Nadel on 5/3/16.
//  Copyright © 2016 Gabe Nadel. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    Animal *liger = [[Animal alloc]init];
    liger.name = @"Liger";
    liger.group = Mammal;
    liger.isExtinct = NO;
    
    [liger eat:@"nachos"];
    
  NSMutableArray *litter =  [liger produceOffspring:3];
    
    
    Canine *wolf = [[Canine alloc]initWithName:@"Artic Wolf"];
    
    [wolf bark];
    
    Chihuahua *tiny = [[Chihuahua alloc] initWithName:@"Bowser"];
    [tiny bark];
    
    [self converseWithDog:wolf];
    [self converseWithDog:tiny];
    
    [tiny ferretOut];
    //[wolf ferretOut];
    
   // NSArray *testArray = @[@1, @2];
   // [self animalRollCall:testArray];

}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)animalRollCall:(NSArray*)animalRoster{
    for(Animal *animal in animalRoster){
        NSLog(@"Hello, %@.", animal.name);
    }
}


-(void)converseWithDog:(Canine*)doggie{
    NSLog(@"Hey you, %@. Fetch my slippers!", doggie.name);
    [doggie bark];
}

@end
