//
//  Animal.h
//  ObjCObjects
//
//  Created by Gabriel Nadel on 4/14/16.
//  Copyright © 2016 Treehouse. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

enum Group{
    Mammal = 0,
    Bird,
    Reptile,
    Amphibian,
    BonyFish,
    CartFish
    };

@interface Animal : NSObject

@property (nonatomic, strong) NSString *name;
@property (nonatomic) enum Group group;
@property (nonatomic) BOOL isExtinct;

@property (nonatomic) IBOutlet UIImageView *thumbNailView;


-(void)eat:(NSString*)food;

@end
