//
//  ViewController.m
//  ObjCObjects
//
//  Created by Gabriel Nadel on 4/14/16.
//  Copyright © 2016 Treehouse. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    Animal *liger = [[Animal alloc]init];
    liger.name = @"Liger";
    liger.group = Mammal;
    liger.isExtinct = NO;
    
    
    [liger eat:@"nachos"];
    
    Canine *wolf = [[Canine alloc]initWithName:@"Arctic Wolf"];
    
    [wolf bark];
    
    Chihuahua *tiny = [[Chihuahua alloc]initWithName:@"Bowser"];
    [tiny bark];
    
    [self converseWithDog:wolf];
    [self converseWithDog:tiny];
    
    [wolf ferretOut];
    
    [tiny ferretOut];
    
  //  NSArray *testArray = @[@1, @2];
  //  [self animalRollCall:testArray];
}

-(void)converseWithDog:(Canine*)doggie{
    NSLog(@"Hey you, %@. Fetch my slippers!", doggie.name);
    [doggie bark];
}

-(void)animalRollCall:(NSArray*)animalRoster{
    for(Animal *animal in animalRoster){
        NSLog(@"Hello, %@.", animal.name);
    }
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
