//
//  Animal.h
//  ObjC-Objects
//
//  Created by Gabe Nadel on 5/3/16.
//  Copyright © 2016 Gabe Nadel. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

enum Group{
    Mammal = 0,
    Bird,
    Reptile,
    Amphibian,
    BonyFish,
    CartFish
};

@interface Animal : NSObject

@property (nonatomic, strong) NSString *name;
@property (nonatomic) enum Group group;
@property (nonatomic) BOOL isExtinct;
@property (nonatomic) IBOutlet UIImageView *thumbnailView;

-(void)eat:(NSString*)food;
-(NSMutableArray*)produceOffspring:(int)totalChildren;

@end
