//
//  ViewController.m
//  objC-Collections
//
//  Created by Gabe Nadel on 5/17/16.
//  Copyright © 2016 Gabe Nadel. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    NSMutableDictionary *bostonDict = [[NSMutableDictionary alloc]initWithObjectsAndKeys:@"Boston", @"City", @"USA", @"Country", nil];

    
    NSMutableDictionary *mutBostonDict = [[NSMutableDictionary alloc] initWithDictionary:bostonDict];
    
    NSString *beantown = [bostonDict valueForKey:@"City"];
    
    [bostonDict setValue:@"Brazil" forKey:@"Country"];
    
    [bostonDict addEntriesFromDictionary:@{@"Population":@(656000)}];
    
    NSMutableDictionary *atlDict = [[NSMutableDictionary alloc]initWithObjectsAndKeys:@"Atlantis", @"City", @"Spain", @"Country", @(150000), @"Population", nil];
    
    NSArray *cities = @[bostonDict, atlDict];
    
    int i = [cities count];
    
    int j = cities.count;
    
    NSMutableDictionary *sunkenCity = [cities objectAtIndex:1];
    
    NSString *sunkenCityName = [[cities objectAtIndex:1]valueForKey:@"City"];
    
    int pop = [[[cities objectAtIndex:1] valueForKey:@"Population"] intValue];
    
    NSMutableArray *nameArray = [[NSMutableArray alloc]initWithObjects:@"Pasan", @"Andrew", @"Craig", nil];
    
    [nameArray addObject:@"Nick"];
    
    [nameArray removeObjectAtIndex:2];
    
    [nameArray replaceObjectAtIndex:1 withObject:@"Chalkers"];
    
    NSArray <NSString *> * stringArray;
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
